<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.0//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_0.dtd">
<!-- This file generated by Sakai App Builder -AZ -->
<faces-config>
	<managed-bean>
		<description>Experiment Tool: Experiment Bean</description>
		<managed-bean-name>ExperimentBean</managed-bean-name>
		<managed-bean-class>
			org.sakaiproject.wontovlab.tool.jsf.ExperimentBean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
		
		<managed-property>
			<description>External Logic</description>
			<property-name>externalLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_ExternalLogic}</value>
		</managed-property>
		
		<managed-property>
			<description>Init Method</description>
			<property-name>init</property-name>
			<value>true</value>
		</managed-property>		
		
		<managed-property>
			<description>Access Control Logic</description>
			<property-name>accessControlLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_AccessControlLogic}</value>
		</managed-property>
		
		<managed-property>
			<description>Experiment Logic</description>
			<property-name>experimentLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_ExperimentLogic}</value>
		</managed-property>
	</managed-bean>

	<managed-bean>
		<description>Material Tool: Material Bean</description>
		<managed-bean-name>MaterialBean</managed-bean-name>
		<managed-bean-class>
			org.sakaiproject.wontovlab.tool.jsf.MaterialBean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
		<managed-property>
			<description>Material Logic</description>
			<property-name>materialLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_MaterialLogic}</value>
		</managed-property>
		<managed-property>
			<description>External Logic</description>
			<property-name>externalLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_ExternalLogic}</value>
		</managed-property>
		<managed-property>
			<description>Init Method</description>
			<property-name>init</property-name>
			<value>true</value>
		</managed-property>		
	</managed-bean>

	<managed-bean>
		<description>StepTool: StepBean</description>
		<managed-bean-name>StepBean</managed-bean-name>
		<managed-bean-class>org.sakaiproject.wontovlab.tool.jsf.StepBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
		<managed-property>
			<description>Experiment Bean</description>
			<property-name>experimentBean</property-name>
			<value>#{ExperimentBean}</value>
		</managed-property>
		<managed-property>
			<description>Material Bean</description>
			<property-name>materialBean</property-name>
			<value>#{MaterialBean}</value>
		</managed-property>

		<managed-property>
			<description>Material Logic</description>
			<property-name>materialLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_MaterialLogic}</value>
		</managed-property>

		<managed-property>
			<description>Experiment Logic</description>
			<property-name>experimentLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_ExperimentLogic}</value>
		</managed-property>
		
		<managed-property>
			<description>External Logic</description>
			<property-name>externalLogic</property-name>
			<value>#{org_sakaiproject_wontovlab_logic_ExternalLogic}</value>
		</managed-property>
		
		<managed-property>
			<description>Init Method</description>
			<property-name>init</property-name>
			<value>true</value>
		</managed-property>
		
	</managed-bean>
	
	
	<!-- Navigation Rules -->
	
	<navigation-rule>
		<from-view-id>/lv/experiment/ProtocolList.jsp</from-view-id>
		<navigation-case>
			<from-outcome>experimentDetail</from-outcome>
			<to-view-id>/lv/experiment/ExperimentDetail.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>	
	
	<navigation-rule>
		<from-view-id>/lv/experiment/ExperimentSuccess.jsp</from-view-id>
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<from-view-id>/lv/step/StepNew.jsp</from-view-id>
		<navigation-case>
			<from-outcome>stepNew</from-outcome>
			<to-view-id>/lv/step/StepNew.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<from-view-id>/lv/experiment/RunningExperiment.jsp</from-view-id>
		<navigation-case>
			<from-outcome>finishExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentFinished.jsp</to-view-id>
		</navigation-case>
		
		<navigation-case>
			<from-outcome>experimentDetail</from-outcome>
			<to-view-id>/lv/experiment/ExperimentDetail.jsp</to-view-id>
		</navigation-case>
		
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>

	
	<navigation-rule>
		<from-view-id>/lv/experiment/ExperimentList.jsp</from-view-id>
		<navigation-case>
			<from-outcome>newExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentNew.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>updateExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentNew.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>deleteExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>detailExperiment</from-outcome>
			<to-view-id>
				/lv/experiment/ExperimentDetail.jsp
			</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>*</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listMaterial</from-outcome>
			<to-view-id>/lv/material/MaterialList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>
	
	<navigation-rule>
		<from-view-id>/lv/experiment/ExperimentNew.jsp</from-view-id>
		<navigation-case>
			<from-outcome>addedExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>*</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>
	
	<navigation-rule>
		<from-view-id>/lv/experiment/ExperimentDetail.jsp</from-view-id>
		<navigation-case>
			<from-outcome>newStep</from-outcome>
			<to-view-id>/lv/step/StepNew.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>runExperiment</from-outcome>
			<to-view-id>/lv/experiment/RunningExperiment.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listProtocol</from-outcome>
			<to-view-id>/lv/experiment/ProtocolList.jsp</to-view-id>
		</navigation-case>		
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>deleteInfraEx</from-outcome>
			<to-view-id>/lv/experiment/ExperimentDetail.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>*</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>
	
	<navigation-rule>
		<from-view-id>/lv/material/MaterialList.jsp</from-view-id>
		<navigation-case>
			<from-outcome>deletedDrug</from-outcome>
			<to-view-id>/lv/material/MaterialList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>deletedEquipment</from-outcome>
			<to-view-id>/lv/material/MaterialList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>addedMaterial</from-outcome>
			<to-view-id>/lv/material/MaterialList.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>updateMaterial</from-outcome>
			<to-view-id>/lv/material/MaterialList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>
	
	<navigation-rule>
		<from-view-id>/lv/step/StepNew.jsp</from-view-id>
		
		<navigation-case>
			<from-outcome>experimentDetail</from-outcome>
			<to-view-id>/lv/experiment/ExperimentDetail.jsp</to-view-id>
		</navigation-case>
		
		<navigation-case>
			<from-outcome>listExperiment</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
				
	</navigation-rule>	
	
	<navigation-rule>
		<from-view-id>/lv/experiment/ExperimentFinished.jsp</from-view-id>
		<navigation-case>
			<from-outcome>experimentList</from-outcome>
			<to-view-id>/lv/experiment/ExperimentList.jsp</to-view-id>
		</navigation-case>
	</navigation-rule>		
	<!-- Message Bundle -->
	<application>
		<message-bundle>messages</message-bundle>
		<locale-config>
			<default-locale>pt_BR</default-locale>
			<supported-locale>en_US</supported-locale>
		</locale-config>
	</application>
	
	
</faces-config>
